<?php 
// This screen allows users to be exported from the system
// to a TSV format compatible with the import format.  
//
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
// $Id: export.php,v 1.4.2.3 2002/02/23 03:47:15 uzi Exp $

include("ServerScriptHelper.php");

$helper = new ServerScriptHelper();
$cceClient = $helper->getCceClient();

// FIND the user OIDS
if ( $group ) {
	$findvars = array("site" => $group);
} else {
 	$findvars = array();
}

$oids = $cceClient->findSorted("User", "name", $findvars);

$factory = $helper->getHtmlComponentFactory("base-import", "/base/import/exportHandler.php?group=$group");

$page = $factory->getPage();
$i18n = $helper->getI18n("base-import");

$number = count($oids);
if ( $number < 1 ) {
	$message = $i18n->getHtml("noUsersForExport");
} else if ( 1 == $number) {
	$message = $i18n->getHtml("oneUserForExport");
} else {
	$message = $i18n->getHtml("usersForExport", "base-import", array("number" => $number) );
}

if ( $number > 0 ) {

	$block = $factory->getPagedBlock("userExport");

	list($site_oid) = $cceClient->find('Vsite', array('name' => $group)); 
	$vsite = $cceClient->get($site_oid);
	$block->setLabel($factory->getLabel('exportTitle', false, array('fqdn' => $vsite['fqdn'])));

	$format = $factory->getMultiChoice("pwFormat");
	$format->addOption($factory->getOption("namePw"));
	$format->addOption($factory->getOption("randomPw"));
	$format->setSelected(1);
	
	$block->addFormField(
		$format,
		$factory->getLabel("pwFormat")
	);

	$groupField = $factory->getTextField("group", $group, "");
	
	$form = $page->getForm();
	$formId = $form->getId();

	// use our own submit handler so that spinny clock doesn't show
	// otherwise, it never disappears
	$block->addButton($factory->getButton("javascript: if (document.$formId.onsubmit()) { document.$formId.submit(); }", "downloadList"));
}

$helper->destructor();

print($page->toHeaderHtml());
print "$message <BR><BR>";

// MSIE-specific patch to send args via GET instead of POST.  For some
// reason, the handler is called twice, the second without POST args.
print "<SCRIPT> document.$formId.method = 'GET'; </SCRIPT>";
if ( $number > 0 ) {
	print($block->toHtml());
	print($groupField->toHtml());
}

print($page->toFooterHtml());
?>
